package com.jpsoft.shinestar.modules.base.service;

import com.github.pagehelper.Page;
import com.jpsoft.shinestar.modules.base.dto.PersonHealthLedgerDTO;
import com.jpsoft.shinestar.modules.base.entity.PersonHealthLedger;
 import com.jpsoft.shinestar.modules.common.dto.Sort;

import java.util.Date;
import java.util.List;
import java.util.Map;

public interface PersonHealthLedgerService {
	PersonHealthLedger get(String id);
	boolean exist(String id);
	int insert(PersonHealthLedger model);
	int update(PersonHealthLedger model);
	int delete(String id);
	List<PersonHealthLedger> findByTimeAndPersonId(String queryTime,Long personId,String addressOut,String addressIn,String temperature);
	List<PersonHealthLedger> list();
	//List<PersonHealthLedger> findByCreateTime(Date startTime, Date endTime);
	PersonHealthLedger existByCreateTimeAndPersonId(long personId, Date startTime, Date endTime);
	Page<PersonHealthLedger> pageSearch(Map<String, Object> searchParams, int pageNum, int pageSize, boolean count, List<Sort> sortList);
	PersonHealthLedger lastByPersonId(Long personId);
    Page<PersonHealthLedgerDTO> workerPageList(Map<String, Object> searchParams, int pageIndex, int pageSize, boolean count, List<Sort> sortList);
   // Page<PersonInfo> teacherPageSearch(Map<String, Object> searchParams, int pageIndex, int pageSize, boolean count, List<Sort> sortList);
    int replace(Long srcPersonId, Long destPersonId);
	List<PersonHealthLedger> findByCreateTimeAndPersonId(long personId,Date startTime, Date endTime);
	List<Map> query(Map<String, Object> searchParams);

}